Index: fittingview/src/sans/perspectives/fitting/fit_thread.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fit_thread.py	(revision f7f6886fbf11b230a62480f1fdbf0ca2f23bff20)
+++ fittingview/src/sans/perspectives/fitting/fit_thread.py	(revision 8aa5788d881b5d53929e27261b1666278dc69f54)
@@ -20,4 +20,5 @@
                   page_id,
                    handler,
+                   batch_result, 
                   pars=None,
                  completefn = None,
@@ -33,4 +34,5 @@
         self.fitter = fn
         self.pars = pars
+        self.batch_result = batch_result
         self.page_id = page_id
         self.starttime = 0
@@ -75,4 +77,5 @@
             #self.handler.starting_fit()
             self.complete(result= result,
+                          batch_result=self.batch_result,
                           page_id=self.page_id,
                           pars = self.pars)
Index: fittingview/src/sans/perspectives/fitting/fitproblem.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitproblem.py	(revision f7ef31311236fcfd239ee375aec92c5318a0275c)
+++ fittingview/src/sans/perspectives/fitting/fitproblem.py	(revision 8aa5788d881b5d53929e27261b1666278dc69f54)
@@ -432,10 +432,10 @@
         if not self.smearer_enable:
             return None
-        if self.smearer_computer_value is None and \
-            self.smearer_compute_count > 1:
+        #if self.smearer_computer_value is None and \
+        #     self.smearer_compute_count > 1:
             #smeari_selection should be call only once per fitproblem
-            self.smearer_computer_value = smear_selection(self.fit_data,
+        self.smearer_computer_value = smear_selection(self.fit_data,
                                                            self.model)
-            self.smearer_compute_count += 1
+        self.smearer_compute_count += 1
         return self.smearer_computer_value
     
@@ -450,5 +450,5 @@
         return self.name_per_page
     
-    def set_model(self,model):
+    def set_model(self, model):
         """ 
         associates each model with its new created name
Index: fittingview/src/sans/perspectives/fitting/fitting.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitting.py	(revision 6446f876803aafb97732adbdce7707c3e8588b51)
+++ fittingview/src/sans/perspectives/fitting/fitting.py	(revision 8aa5788d881b5d53929e27261b1666278dc69f54)
@@ -682,4 +682,5 @@
         list_page_id = []
         fit_id = 0
+        batch_result = {}
         for page_id, value in self.page_finder.iteritems():
             # For simulfit (uid give with None), do for-loop
@@ -701,9 +702,11 @@
                         if sim_fitter is None:
                             fitter = Fit(self._fit_engine)  
-                            self._fit_helper(fitproblem, pars, fitter, fit_id)
+                            self._fit_helper(fitproblem, pars, fitter,
+                                              fit_id, batch_result)
                             fitter_list.append(fitter) 
                         else:
                             fitter = sim_fitter
-                            self._fit_helper(fitproblem, pars, fitter, fit_id)
+                            self._fit_helper(fitproblem, pars, fitter,
+                                              fit_id, batch_result)
                         fit_id += 1
                     list_page_id.append(page_id)
@@ -731,4 +734,5 @@
                                     fn=fitter_list,
                                     pars=pars,
+                                    batch_result=batch_result,
                                     page_id=list_page_id,
                                     completefn=self._single_fit_completed,
@@ -739,4 +743,5 @@
             calc_fit = FitThread(handler=handler,
                                     fn=fitter_list,
+                                    batch_result=batch_result, 
                                     page_id=list_page_id,
                                     updatefn=handler.update_fit,
@@ -897,5 +902,5 @@
                 self.page_finder[uid].schedule_tofit(value)
                 
-    def _fit_helper(self, fitproblem, pars, fitter, fit_id):
+    def _fit_helper(self, fitproblem, pars, fitter, fit_id, batch_result):
         """
         Create and set fit engine with series of data and model
@@ -917,4 +922,7 @@
                     listOfConstraint.append((item[0],item[1]))
         fitter.set_model(model, fit_id, pars, constraints=listOfConstraint)
+        if "Data" not in batch_result.keys():
+            batch_result["Data"] = []
+        batch_result["Data"].append(data.name)
         fitter.set_data(data=data, id=fit_id, smearer=smearer, qmin=qmin, 
                         qmax=qmax)
@@ -947,5 +955,5 @@
         
     def _batch_single_fit_complete_helper(self, result, pars, page_id, 
-                                          elapsed=None):
+                                         batch_result,  elapsed=None):
         """
         Display fit result in batch 
@@ -986,5 +994,6 @@
                 cpage._on_fit_complete()
             
-    def _single_fit_completed(self, result, pars, page_id, elapsed=None):
+    def _single_fit_completed(self, result, pars, page_id, 
+                              batch_result, elapsed=None):
         """
          Display fit result on one page of the notebook.
@@ -999,5 +1008,5 @@
         if self.batch_on:
             wx.CallAfter(self._batch_single_fit_complete_helper,
-                          result, pars, page_id, elapsed=None)
+                          result, pars, page_id, batch_result, elapsed)
             return 
         else:  
@@ -1049,5 +1058,6 @@
                 raise
                
-    def _simul_fit_completed(self, result, page_id, pars=None, elapsed=None):
+    def _simul_fit_completed(self, result, page_id, batch_result, pars=None, 
+                             elapsed=None):
         """
         Display result of the fit on related panel(s).
